MPD: Log.hxx File Reference

MPD 0.20.18

Functions | Variables
Log.hxx File Reference
`#include "LogLevel.hxx"`
`#include "Compiler.h"`
`#include <exception>`
Include dependency graph for Log.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | Log (const Domain &domain, LogLevel level, const char *msg)
| gcc_printf (3, 4) void LogFormat(const Domain &domain
LogLevel const char static void | LogDebug (const Domain &domain, const char *msg)
| gcc_printf (2, 3) void FormatDebug(const Domain &domain
const char static void | LogInfo (const Domain &domain, const char *msg)
const char static void | LogDefault (const Domain &domain, const char *msg)
const char static void | LogWarning (const Domain &domain, const char *msg)
const char static void | LogError (const Domain &domain, const char *msg)
void | LogError (const std::exception &e)
void | LogError (const std::exception &e, const char *msg)
gcc_printf(2, 3) void FormatError(const std void | LogError (const std::exception_ptr &ep)
void | LogError (const std::exception_ptr &ep, const char *msg)
gcc_printf(2, 3) void FormatError(const std const char void | LogErrno (const Domain &domain, int e, const char *msg)
void | LogErrno (const Domain &domain, const char *msg)

## Variables
LogLevel | level
LogLevel const char * | fmt
int | e

## Function Documentation

## ◆ gcc_printf() [1/2]

gcc_printf | ( | 3 | ,
|  | 4 |
| ) |  | const &

## ◆ gcc_printf() [2/2]

gcc_printf | ( | 2 | ,
|  | 3 |
| ) |  | const &

## ◆ Log()

void Log | ( | const Domain & | domain,
|  | LogLevel | level,
|  | const char * | msg
| ) |  |

## ◆ LogDebug()

LogLevel const char static void LogDebug | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |
| inlinestatic

Definition at line 38 of file Log.hxx.

## ◆ LogDefault()

const char static void LogDefault | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |
| inlinestatic

Definition at line 58 of file Log.hxx.

## ◆ LogErrno() [1/2]

gcc_printf (2,3) void FormatError( const std const char void LogErrno | ( | const Domain & | domain,
|  | int | e,
|  | const char * | msg
| ) |  |

## ◆ LogErrno() [2/2]

void LogErrno | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |

## ◆ LogError() [1/5]

const char static void LogError | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |
| inlinestatic

Definition at line 78 of file Log.hxx.

## ◆ LogError() [2/5]

void LogError | ( | const std::exception & | e | ) |

## ◆ LogError() [3/5]

void LogError | ( | const std::exception & | e,
|  | const char * | msg
| ) |  |

## ◆ LogError() [4/5]

gcc_printf (2,3) void FormatError( const std void LogError | ( | const std::exception_ptr & | ep | ) |

## ◆ LogError() [5/5]

void LogError | ( | const std::exception_ptr & | ep,
|  | const char * | msg
| ) |  |

## ◆ LogInfo()

const char static void LogInfo | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |
| inlinestatic

Definition at line 48 of file Log.hxx.

## ◆ LogWarning()

const char static void LogWarning | ( | const Domain & | domain,
|  | const char * | msg
| ) |  |
| inlinestatic

Definition at line 68 of file Log.hxx.

## Variable Documentation

## ◆ e

int e

Definition at line 115 of file Log.hxx.

## ◆ fmt

int const char const char* fmt

Definition at line 35 of file Log.hxx.

## ◆ level

LogLevel level

Definition at line 35 of file Log.hxx.